Package org.eclipse.net4j.db.ddl

## Interface IDBField

- All Superinterfaces:
    `java.lang.Comparable<IDBSchemaElement>`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `IDBElement`, `IDBNamedElement`, `IDBSchemaElement`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.collection.PositionProvider`
  All Known Subinterfaces:
    `InternalDBField`

      public interface IDBField
      extends IDBSchemaElement, org.eclipse.net4j.util.collection.PositionProvider

  A field (column) specification in a `DB table`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `IDBSchemaElement.SchemaElementType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `formatPrecision()` |
    `java.lang.String` | `formatPrecisionAndScale()` |
    `java.lang.String` | `getFullName()` |
    `IDBIndex[]` | `getIndices()` |
    `IDBTable` | `getParent()` |
    `int` | `getPrecision()` |
    `int` | `getScale()` |
    `IDBTable` | `getTable()` |
    `DBType` | `getType()` |
    `boolean` | `isIndexed()` |
    `boolean` | `isNotNull()` |
    `void` | `setNotNull​(boolean notNull)` |
    `void` | `setPrecision​(int precision)` |
    `void` | `setScale​(int scale)` |
    `void` | `setType​(DBType type)` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `accept, getElement, getSchema, getSchemaElementType, remove, setName`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

      `getPosition`

- - ### Field Detail

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParent

          IDBTable getParent()

      Specified by:
        `getParent` in interface `IDBSchemaElement`
      Since:
        4.2

    - #### getTable

          IDBTable getTable()

    - #### getType

          DBType getType()

    - #### setType

          void setType​(DBType type)

    - #### getPrecision

          int getPrecision()

    - #### setPrecision

          void setPrecision​(int precision)

    - #### getScale

          int getScale()

    - #### setScale

          void setScale​(int scale)

    - #### isNotNull

          boolean isNotNull()

    - #### setNotNull

          void setNotNull​(boolean notNull)

    - #### isIndexed

          boolean isIndexed()

      Since:
        4.9

    - #### getIndices

          IDBIndex[] getIndices()

      Since:
        4.9

    - #### getFullName

          java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `IDBSchemaElement`

    - #### formatPrecision

          java.lang.String formatPrecision()

    - #### formatPrecisionAndScale

          java.lang.String formatPrecisionAndScale()